summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2017-06-14 17:19:03 +0300
committerAndrei Karas <akaras@inbox.ru>2017-06-14 17:19:03 +0300
commit835af9b140c069f7b8fa581718081a68687d02d2 (patch)
treec916dc6b1f836edfe7b933a69811b8a5276e3633 /tools
parente121117d28b121e654f007457af6862f838106a4 (diff)
downloadplus-835af9b140c069f7b8fa581718081a68687d02d2.tar.gz
plus-835af9b140c069f7b8fa581718081a68687d02d2.tar.bz2
plus-835af9b140c069f7b8fa581718081a68687d02d2.tar.xz
plus-835af9b140c069f7b8fa581718081a68687d02d2.zip
Add some delays in run tests in screen shot still not created.
Diffstat (limited to 'tools')
-rwxr-xr-xtools/ci/scripts/runtest.sh14
1 files changed, 10 insertions, 4 deletions
diff --git a/tools/ci/scripts/runtest.sh b/tools/ci/scripts/runtest.sh
index 0ba3ff5c7..c6cc8adf6 100755
--- a/tools/ci/scripts/runtest.sh
+++ b/tools/ci/scripts/runtest.sh
@@ -61,12 +61,18 @@ function send_command {
function check_exists {
if [ ! -f "logs/home/Desktop/ManaPlus/$1" ]; then
- echo "Error: image $1 not exists"
- exit 1
+ sleep 10s
+ if [ ! -f "logs/home/Desktop/ManaPlus/$1" ]; then
+ echo "Error: image $1 not exists"
+ exit 1
+ fi
fi
if [ ! -f "logs/home/Desktop/ManaPlus/$2" ]; then
- echo "Error: image $2 not exists"
- exit 1
+ sleep 10s
+ if [ ! -f "logs/home/Desktop/ManaPlus/$2" ]; then
+ echo "Error: image $2 not exists"
+ exit 1
+ fi
fi
}